package adminhandler

import (
	adminservice "git.gocasts.ir/ebhomengo/niki/service/admin/admin"
	adminauthorizationservice "git.gocasts.ir/ebhomengo/niki/service/admin/authorization"
	adminauthservice "git.gocasts.ir/ebhomengo/niki/service/auth"
)

type Handler struct {
	authSvc           adminauthservice.Service
	adminSvc          adminservice.Service
	adminAuthorizeSvc adminauthorizationservice.Service
}

func New(authSvc adminauthservice.Service,
	adminSvc adminservice.Service,
	adminAuthorizeSvc adminauthorizationservice.Service,
) Handler {
	return Handler{
		authSvc:           authSvc,
		adminSvc:          adminSvc,
		adminAuthorizeSvc: adminAuthorizeSvc,
	}
}
