package agentkindboxhandler

import (
	adminauthorizationservice "git.gocasts.ir/ebhomengo/niki/service/admin/authorization"
	agentkindboxservice "git.gocasts.ir/ebhomengo/niki/service/agent/kind_box"
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth"
	"git.gocasts.ir/ebhomengo/niki/service/notification"
)

type Handler struct {
	authSvc           authservice.Service
	agentKindBoxSvc   agentkindboxservice.Service
	adminAuthorizeSvc adminauthorizationservice.Service
	notificationSvc   notification.Service
}

func New(authSvc authservice.Service,
	agentKindBoxSvc agentkindboxservice.Service,
	adminAuthorizeSvc adminauthorizationservice.Service,
	notificationSvc notification.Service,
) Handler {
	return Handler{
		authSvc:           authSvc,
		agentKindBoxSvc:   agentKindBoxSvc,
		adminAuthorizeSvc: adminAuthorizeSvc,
		notificationSvc:   notificationSvc,
	}
}
